<% title = 'Registrace firmy' %>
<%- include('../partials/header', {req, res, title}) %>
</head>

<body>
    <div class="flex-center">
        <div class="panel">
            <h1><%= title %></h1>
            <p class="subheading">Pro registraci vyplňte prosím následující políčka.</p>

            <form class="container" method="POST" action="">
                <h2>Něco o Vaší firmě</h2>
                <div class="form-input">
                    <input type="text" placeholder="Jméno" name="name" required
                        <%= req.query.name ? `value=${req.query.name}` : ''%>>
                </div>
                <div class="form-input">
                    <input type="text" placeholder="Adresa" name="address" required
                        <%= req.query.address ? `value=${req.query.address}` : ''%>>
                </div>
                <h2>Kontaktní osoba</h2>
                <div class="form-input">
                    <input type="text" placeholder="Křestní jméno" name="contactFirstname" required
                        <%= req.query.contactFirstname ? `value=${req.query.contactFirstname}` : ''%>>
                </div>
                <div class="form-input">
                    <input type="text" placeholder="Příjmení" name="contactLastname" required
                        <%= req.query.contactLastname ? `value=${req.query.contactLastname}` : ''%>>
                </div>
                <div class="form-input">
                    <input type="text" placeholder="Číslo na mobil" name="contactMobile" required
                        <%= req.query.contactMobile ? `value=${req.query.contactMobile}` : ''%>>
                </div>
                <div class="form-input">
                    <input type="text" placeholder="Číslo na pevnou linku" name="contactPhone"
                        <%= req.query.contactPhone ? `value=${req.query.contactPhone}` : ''%>>
                </div>
                <div class="form-input">
                    <input type="email" placeholder="Email" name="contactEmail" required
                        <%= req.query.contactEmail ? `value=${req.query.contactEmail}` : ''%>>
                </div>

                <h3>Počet osob, které se za vaši firmu zúčastní</h3>
                <% let list = [1, 2, 3, 4].forEach((a, i) => { %>
                <input type="radio" name="countOfPerson" id="countOfPerson<%= a %>" value="<%= a %>" required>
                <label for="countOfPerson<%= a %>"><%= a %></label>
                <%});%>

                <h3>Délka prezentace</h3>
                <p>Později sem dát výběr z volných bloků, pohlídat vstupy</p>
                <input type="checkbox" name="lessons[]" id="1x45" value="1">
                <label for="1x45">1x45 minut</label>
                <input type="checkbox" name="lessons[]" id="1x90" value="12">
                <label for="1x90">1x90 minut</label>
                <input type="checkbox" name="lessons[]" id="2x45" value="2">
                <label for="2x45">2x45 minut</label>
                <input type="checkbox" name="lessons[]" id="2x90" value="34">
                <label for="2x90"> 2x90 minut</label>

                <h3>Prezentace vhodná pro obory</h3>
                <p>Téže pohlídat vstupy, aby byl aspoň jeden</p>
                <% CONFIG.branches.forEach((branch) => { %>
                <input type="checkbox" name="branches[]" value="<%= branch.short %>" id="<%= branch.short %>Input" />
                <label for="<%= branch.short %>Input"><%= branch.name %></label>
                <br/>
                <% }); %>

                <h3>Požadavky na prezentaci</h3>
                <% CONFIG.presentationRequirements.forEach((presentationRequirement) => { %>
                <input type="checkbox" name="branchs[]" value="<%= presentationRequirement.short %>"
                    id="<%= presentationRequirement.short %>Input" />
                <label><%= presentationRequirement.name %></label>
                <% }); %>

                <h3>Doplňující informace</h3>
                <div class="form-input">
                    <input type="text" name="additionInfo" id="additionInfo" placeholder="Doplňující informace">
                </div>

                <h3>Máte zájem o prohlídku školy?</h3>
                <input type="radio" name="tour" id="yes" required/>
                <label for="yes">Ano</label>
                <input type="radio" name="tour" id="no" required>
                <label for="no">Ne</label>

                <br />

                <h3>Závěr</h3>
                Přihlášku odešlete do 25. ledna 2019.

                <p>V případě problému se na nás prosím obraťte
                    pomocí emailu <a href="mailto://denfirem@lukasmatuska.cz"
                        target="_blank">denfirem@lukasmatuska.cz</a></p>

                <div class="flex-center container">
                    <button type="submit" class="btn-primary">Zaregistruj moji firmu!</button>
                </div>
            </form>
        </div>
    </div>
    <%- include('../partials/footer', {req, res}) %>
    <%- include('../partials/file-end', {req, res}) %>